aws-0.24.4: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.Iam.Commands.GetGroupPolicy

Synopsis

- data GetGroupPolicy = GetGroupPolicy {
  - ggpPolicyName :: Text
  - ggpGroupName :: Text
  }
- data GetGroupPolicyResponse = GetGroupPolicyResponse {
  - ggprPolicyDocument :: Text
  - ggprPolicyName :: Text
  - ggprGroupName :: Text
  }

# Documentation

data GetGroupPolicy Source #

Retreives the specified policy document for the specified group.

http://docs.aws.amazon.com/IAM/latest/APIReference/API_GetGroupPolicy.html

Constructors

GetGroupPolicy |

Fields

- ggpPolicyName :: Text

  Name of the policy.

- ggpGroupName :: Text

  Name of the group with whom the policy is associated.

#### Instances

Instances details

SignQuery GetGroupPolicy Source # |

Instance details

Defined in Aws.Iam.Commands.GetGroupPolicy

Associated Types

type ServiceConfiguration GetGroupPolicy |
Instance details Defined in Aws.Iam.Commands.GetGroupPolicy type ServiceConfiguration GetGroupPolicy = IamConfiguration

Methods

signQuery :: GetGroupPolicy -> ServiceConfiguration GetGroupPolicy queryType -> SignatureData -> SignedQuery Source #

Show GetGroupPolicy Source # |
Instance details Defined in Aws.Iam.Commands.GetGroupPolicy Methods showsPrec :: Int -> GetGroupPolicy -> ShowS Source # show :: GetGroupPolicy -> String Source # showList :: [GetGroupPolicy] -> ShowS Source #
Eq GetGroupPolicy Source # |
Instance details Defined in Aws.Iam.Commands.GetGroupPolicy Methods (==) :: GetGroupPolicy -> GetGroupPolicy -> Bool Source # (/=) :: GetGroupPolicy -> GetGroupPolicy -> Bool Source #
Ord GetGroupPolicy Source # |

Instance details

Defined in Aws.Iam.Commands.GetGroupPolicy

Methods

compare :: GetGroupPolicy -> GetGroupPolicy -> Ordering Source #

(<) :: GetGroupPolicy -> GetGroupPolicy -> Bool Source #

(<=) :: GetGroupPolicy -> GetGroupPolicy -> Bool Source #

(>) :: GetGroupPolicy -> GetGroupPolicy -> Bool Source #

(>=) :: GetGroupPolicy -> GetGroupPolicy -> Bool Source #

max :: GetGroupPolicy -> GetGroupPolicy -> GetGroupPolicy Source #

min :: GetGroupPolicy -> GetGroupPolicy -> GetGroupPolicy Source #

ResponseConsumer GetGroupPolicy GetGroupPolicyResponse Source # |

Instance details

Defined in Aws.Iam.Commands.GetGroupPolicy

Associated Types

type ResponseMetadata GetGroupPolicyResponse |
Instance details Defined in Aws.Iam.Commands.GetGroupPolicy type ResponseMetadata GetGroupPolicyResponse = IamMetadata

Methods

responseConsumer :: Request -> GetGroupPolicy -> IORef (ResponseMetadata GetGroupPolicyResponse) -> HTTPResponseConsumer GetGroupPolicyResponse Source #

Transaction GetGroupPolicy GetGroupPolicyResponse Source # |
Instance details Defined in Aws.Iam.Commands.GetGroupPolicy
type ServiceConfiguration GetGroupPolicy Source # |
Instance details Defined in Aws.Iam.Commands.GetGroupPolicy type ServiceConfiguration GetGroupPolicy = IamConfiguration

data GetGroupPolicyResponse Source #

Constructors

GetGroupPolicyResponse |

Fields

- ggprPolicyDocument :: Text

  The policy document.

- ggprPolicyName :: Text

  Name of the policy.

- ggprGroupName :: Text

  Name of the group with whom the policy is associated.

#### Instances

Instances details

AsMemoryResponse GetGroupPolicyResponse Source # |

Instance details

Defined in Aws.Iam.Commands.GetGroupPolicy

Associated Types

type MemoryResponse GetGroupPolicyResponse |
Instance details Defined in Aws.Iam.Commands.GetGroupPolicy type MemoryResponse GetGroupPolicyResponse = GetGroupPolicyResponse

Methods

loadToMemory :: GetGroupPolicyResponse -> ResourceT IO (MemoryResponse GetGroupPolicyResponse) Source #

Show GetGroupPolicyResponse Source # |
Instance details Defined in Aws.Iam.Commands.GetGroupPolicy Methods showsPrec :: Int -> GetGroupPolicyResponse -> ShowS Source # show :: GetGroupPolicyResponse -> String Source # showList :: [GetGroupPolicyResponse] -> ShowS Source #
Eq GetGroupPolicyResponse Source # |
Instance details Defined in Aws.Iam.Commands.GetGroupPolicy Methods (==) :: GetGroupPolicyResponse -> GetGroupPolicyResponse -> Bool Source # (/=) :: GetGroupPolicyResponse -> GetGroupPolicyResponse -> Bool Source #
Ord GetGroupPolicyResponse Source # |

Instance details

Defined in Aws.Iam.Commands.GetGroupPolicy

Methods

compare :: GetGroupPolicyResponse -> GetGroupPolicyResponse -> Ordering Source #

(<) :: GetGroupPolicyResponse -> GetGroupPolicyResponse -> Bool Source #

(<=) :: GetGroupPolicyResponse -> GetGroupPolicyResponse -> Bool Source #

(>) :: GetGroupPolicyResponse -> GetGroupPolicyResponse -> Bool Source #

(>=) :: GetGroupPolicyResponse -> GetGroupPolicyResponse -> Bool Source #

max :: GetGroupPolicyResponse -> GetGroupPolicyResponse -> GetGroupPolicyResponse Source #

min :: GetGroupPolicyResponse -> GetGroupPolicyResponse -> GetGroupPolicyResponse Source #

ResponseConsumer GetGroupPolicy GetGroupPolicyResponse Source # |

Instance details

Defined in Aws.Iam.Commands.GetGroupPolicy

Associated Types

type ResponseMetadata GetGroupPolicyResponse |
Instance details Defined in Aws.Iam.Commands.GetGroupPolicy type ResponseMetadata GetGroupPolicyResponse = IamMetadata

Methods

responseConsumer :: Request -> GetGroupPolicy -> IORef (ResponseMetadata GetGroupPolicyResponse) -> HTTPResponseConsumer GetGroupPolicyResponse Source #

Transaction GetGroupPolicy GetGroupPolicyResponse Source # |
Instance details Defined in Aws.Iam.Commands.GetGroupPolicy
type MemoryResponse GetGroupPolicyResponse Source # |
Instance details Defined in Aws.Iam.Commands.GetGroupPolicy type MemoryResponse GetGroupPolicyResponse = GetGroupPolicyResponse
type ResponseMetadata GetGroupPolicyResponse Source # |
Instance details Defined in Aws.Iam.Commands.GetGroupPolicy type ResponseMetadata GetGroupPolicyResponse = IamMetadata